Changes between Version 10 and Version 17 of Ticket #18323


Ignore:
Timestamp:
04/30/15 14:27:59 (7 years ago)
Author:
leif
Comment:

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #18323

    • Property Status changed from new to needs_review
    • Property Authors changed from to Ralf Stephan
    • Property Branch changed from to u/rws/switch_to_c__11_when_compiling_some_cython_files
    • Property Milestone changed from sage-6.7 to sage-pending
    • Property Commit changed from to 9875e951d9f29e18b1dadef70989e92a27afbfc9
  • Ticket #18323 – Description

    v10 v17  
    1 C++11 is needed by a development version of Pynac, and it's the default with gcc5.
     1C++11 is needed by a development version of Pynac, and GCC 5.x's `g++` again got stricter w.r.t. C++ standard conformance (while it still ''defaults'' to `-std=gnu++98`).
    22
    33Sage needs `-std=c++11` for at least all files that import ginac headers, that is, for